Skip to main content
PUT
/
data-list-items
/
update
/
{data_list_item_id}
Update Data List Item
curl --request PUT \
  --url https://api.swoogo.com/api/v1/data-list-items/update/{data_list_item_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --data 'name=updated value'
{
  "account_id": 1,
  "data_list_id": 3,
  "id": 115,
  "name": "updated value"
}

Authorizations

Authorization
string
header
required

OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.

Path Parameters

data_list_item_id
integer
required

integer - required - The ID of the item you want to update

Example:

1

Body

application/x-www-form-urlencoded
name
string
Example:

"updated value"

Response

Update An Existing Data List Item

account_id
number
Example:

1

data_list_id
number
Example:

3

id
number
Example:

115

name
string
Example:

"updated value"